Index: doc/ChangeLog
===================================================================
--- doc/ChangeLog	(revision f2d67a54fd3b4f39a02a2f946632cfe16b73c482)
+++ doc/ChangeLog	(revision 46df1bccf39ae760708f33fb41ec1819bdc1fde2)
@@ -1,6 +1,7 @@
 = 0.2.3 =
 
-    2012-12-XX
-        * Added a configuration check on required thread linked perl 
+    2013-01-XX
+	* Patched Yap 6.2.3 to run on FreeBSD9.1
+        * Added a configuration check for thread linked perl 
         * Added option to disable the generation of swig/java directory
           when configured with --disable-java-feature or when jni.h is 
Index: doc/INSTALL
===================================================================
--- doc/INSTALL	(revision f2d67a54fd3b4f39a02a2f946632cfe16b73c482)
+++ doc/INSTALL	(revision 46df1bccf39ae760708f33fb41ec1819bdc1fde2)
@@ -6,56 +6,56 @@
    Please check doc/dependencies for other software dependencies
 
-Download yap-6.2.2 from www.dcc.fc.up.pt
-    http://www.dcc.fc.up.pt/~vsc/Yap/yap-6.2.2.tar.gz
+Download yap-6.2.3 from www.dcc.fc.up.pt
+   http://www.dcc.fc.up.pt/~vsc/Yap/yap-6.2.3.tar.gz
 
-$./configure --enable-dynamic-loading --enable-use-malloc=yes
-$make
-$make library
-$sudo make install_library
+   $./configure --enable-dynamic-loading --enable-use-malloc=yes
+   $make
+   $make library
+   $sudo make install_library
 
-(Note: If you ever run into the OOOPS message when installing Yap, 
-manually clear out all traces of Yap from your /usr/local especially
-/usr/local/share)
+   (Note: If you ever run into the OOOPS message when installing Yap, 
+   manually clear out all traces of Yap from your /usr/local especially
+   /usr/local/share)
 
 
-You can also install yap on Ubuntu using
-$ sudo apt-get install yap
+Download strongswan-4.6.4 from strongswan.org:
+   http://download.strongswan.org/strongswan-4.6.4.tar.bz2
 
-Download strongswan-4.6.4 from strongswan.org:
-    http://download.strongswan.org/strongswan-4.6.4.tar.bz2
+   FreeBSD users: add --enable-kernel-pfkey --enable-kernel-pfroute 
+       --disable-kernel-netlink --disable-tools --disable-scripts 
+       --disable-pluto --with-group=wheel to strongswan ./configure
 
+   Linux users: add --disable-gmp --enable-openssl to strongswan 
+       ./configure to avoid long credential creation times. The entropy
+       sources libstrongswan uses by default gather entropy slowly on 
+       Linux.  These flags allow it to gather entropy from the same 
+       sources as openssl, which is noticeably faster. The internal 
+       strongswan libraries and plugins are installed in 
+       /usr/local/lib/ipsec by default unless 
+       --with-ipseclibdir and --with-plugindir are set otherwise.
 
-FreeBSD users: add --enable-kernel-pfkey --enable-kernel-pfroute 
---disable-kernel-netlink --disable-tools --disable-scripts 
---disable-pluto --with-group=wheel to strongswan ./configure
-
-Linux users: add --disable-gmp --enable-openssl to strongswan ./configure
-to avoid long credential creation times. The entropy sources
-libstrongswan uses by default gather entropy slowly on Linux.  These
-flags allow it to gather entropy from the same sources as openssl, which
-is noticeably faster. The internal strongswan libraries and plugins
-are installed in /usr/local/lib/ipsec by default unless 
---with-ipseclibdir and --with-plugindir are set otherwise.
-
-$ tar xjvf strongswan-4.6.4.tar.bz2
-$ cd strongswan-4.6.4
-$ # see note above about configure flags
-$ ./configure --enable-monolithic 
-$ cd src/libstrongswan
-$ make && sudo make install
-
-Be sure to make note of the directory into which you've untarred
-strongswan-4.6.4.tar.bz2. You will use this in the next step.
+   $ tar xjvf strongswan-4.6.4.tar.bz2
+   $ cd strongswan-4.6.4
+   $ # see note above about configure flags
+   $ ./configure --enable-monolithic 
+   $ cd src/libstrongswan
+   $ make && sudo make install
+   
+   Be sure to make note of the directory into which you've untarred
+   strongswan-4.6.4.tar.bz2. You will use this in the next step.
 
 BUILDING LIBABAC
 
-FreeBSD users will need to install flex-2.5.35 or greater from ports and
-use --with-flex=/usr/local/bin/flex --with-extra-includes=/usr/local/include
-on ./configure in addition to --with-strongswan
+   FreeBSD users will need to install flex-2.5.35 or greater from 
+   ports and use 
+   --with-flex=/usr/local/bin/flex --with-extra-includes=/usr/local/include
+   on ./configure in addition to --with-strongswan
 
-$ STRONGSWAN_SRC_DIR=path/to/strongswan-4.6.4
-$ STRONGSWAN_LIB_DIR=path/to/strongswan-ipseclibdir (or /usr/local/lib/ipsec)
-$ ./configure --with-strongswan=$STRONGSWAN_SRC_DIR --with-strongswan-ld-path=$STRONSWAN_LIB_DIR
-$ make 
-$ sudo make install
+   $ STRONGSWAN_SRC_DIR=path/to/strongswan-4.6.4
+   $ STRONGSWAN_LIB_DIR=/usr/local/lib/ipsec
+   $ ./configure --with-strongswan=$STRONGSWAN_SRC_DIR 
+                 --with-strongswan-ld-path=$STRONSWAN_LIB_DIR
+   $ make 
+   $ sudo make install
 
+
Index: doc/dependencies
===================================================================
--- doc/dependencies	(revision f2d67a54fd3b4f39a02a2f946632cfe16b73c482)
+++ doc/dependencies	(revision 46df1bccf39ae760708f33fb41ec1819bdc1fde2)
@@ -26,6 +26,6 @@
     readline-6.2
 
-YAP 6.2.2 Prolog system:
-    http://www.dcc.fc.up.pt/~vsc/Yap/yap-6.2.2.tar.gz
+YAP 6.2.3 Prolog system:
+    http://www.dcc.fc.up.pt/~vsc/Yap/yap-6.2.3.tar.gz
     (configure with --enable-dynamic-loading --enable-use-malloc=yes) 
 
@@ -58,5 +58,5 @@
 BUILDING ON FREEBSD
 
-The following is a list of ports necessary to build from ports on FreeBSD
+The following is a list of pkgs necessary to build from ports on FreeBSD
 (tested on version 8.2):
 libxcb
@@ -75,20 +75,13 @@
 autoconf-2.69
 automake-1.12.3
-load_pkg swig
-load_pkg apache-ant
+apache-ant
 
 (tested on version 9.1):
-xbitmaps
-open-motif
-javavmwrapper
-libXtst
-recordproto
-java-zoneinfo
-dejavu
-openjdk6
+openjdk6 
 flex
-perl-5.14.2_2
-automake-1.12.4
-git
+perl (perl5.14.2)
+load_r_pkg perl
+p5-IO-Socket-SSL 
+p5-XML-RPC
 swig
-
+automake
